@progress/kendo-spreadsheet-vue-wrapper
Version:
Kendo UI Spreadsheet wrapper for Vue.js
33 lines (20 loc) • 1.26 kB
Markdown
title: excelProps API
description: "API Index | excelProps"
api_reference: true
slug: api_spreadsheet_excelprops
# ExcelProps
### excel-file-name `String`
Specifies the file name of the exported Excel file.
### excel-force-proxy `Boolean`
If `excel-force-proxy` is set to `true`, the content will be forwarded to `proxyURL` even if the browser supports the saving of files locally.
### excel-proxy-u-r-l `String`
The URL of the server side proxy which will stream the file to the end user. When the browser is not capable of saving files locally, a proxy will be used. Such browsers are Internet Explorer version 9 (and older) and Safari. You are responsible for implementing the server-side proxy.
The proxy receives a `POST` request with the following parameters in the request body:
* `contentType`—The MIME type of the file.
* `base64`—The base-64 encoded file content.
* `fileName`—The file name as requested by the caller.
The proxy is expected to return the decoded file with a set `Content-Disposition` header set to `toattachment; filename="<fileName.xslx>"`.
## Suggested Links
* [`Excel` in Kendo UI Spreadsheet for jQuery](https://docs.telerik.com/kendo-ui/api/javascript/ui/spreadsheet/configuration/excel)